import java.util.*;

import com.thoughtworks.xstream.XStream;


public class Test {

	/**
	 * @param args
	 */
	public static void main(String[] args) {		
		XStream xstream = new XStream();
		
		Hand hand = new Hand();
		
		hand.cards.add(new Card(9, Suite.hearts));
		hand.cards.add(new Card(2, Suite.diamonds));
		
		String xml = xstream.toXML(hand);
		System.out.println(xml);
		
		String p = "<Hand><cards><Card><rank>1</rank><suite>clubs</suite></Card><Card><rank>13</rank><suite>diamonds</suite></Card></cards></Hand>";
		Hand hand2 = (Hand)xstream.fromXML(p);

		xstream.toXML(hand2, System.out);
		
		System.out.println();
	}

}
